From: Sophie Brun <sophie@offensive-security.com>
Date: Mon, 27 Mar 2023 15:28:07 +0200
Subject: Remove installation instructions from README

---
 README.md | 108 +-------------------------------------------------------------
 1 file changed, 1 insertion(+), 107 deletions(-)

diff --git a/README.md b/README.md
index b6b592e..65c4937 100644
--- a/README.md
+++ b/README.md
@@ -28,13 +28,7 @@ Version 0.195.0 or greater is required.
 
 Version 0.195.0 or greater is required.
 
-
-
-## Installation
-
-`eksctl` is available to install from official releases as described below. We recommend that you install `eksctl` from only the official GitHub releases. You may opt to use a third-party installer, but please be advised that AWS does not maintain nor support these methods of installation. Use them at your own discretion.
-
-### Prerequisite
+## Prerequisite
 
 You will need to have AWS API credentials configured. What works for AWS CLI or any other tools (kops, Terraform, etc.) should be sufficient. You can use [`~/.aws/credentials` file][awsconfig]
 or [environment variables][awsenv]. For more information read [AWS documentation](https://docs.aws.amazon.com/cli/latest/userguide/cli-environment.html).
@@ -57,106 +51,6 @@ The IAM account used for EKS cluster creation should have these minimal access l
 
 The inline policy json is listed in [Minimal IAM Policies](https://eksctl.io/usage/minimum-iam-policies/).
 
-### For Unix
-
-To download the latest release, run:
-
-```sh
-# for ARM systems, set ARCH to: `arm64`, `armv6` or `armv7`
-ARCH=amd64
-PLATFORM=$(uname -s)_$ARCH
-
-curl -sLO "https://github.com/eksctl-io/eksctl/releases/latest/download/eksctl_$PLATFORM.tar.gz"
-
-# (Optional) Verify checksum
-curl -sL "https://github.com/eksctl-io/eksctl/releases/latest/download/eksctl_checksums.txt" | grep $PLATFORM | sha256sum --check
-
-tar -xzf eksctl_$PLATFORM.tar.gz -C /tmp && rm eksctl_$PLATFORM.tar.gz
-
-sudo mv /tmp/eksctl /usr/local/bin
-```
-
-### For Windows
-
-#### Direct download (latest release): [AMD64/x86_64](https://github.com/eksctl-io/eksctl/releases/latest/download/eksctl_windows_amd64.zip) - [ARMv6](https://github.com/eksctl-io/eksctl/releases/latest/download/eksctl_windows_armv6.zip) - [ARMv7](https://github.com/eksctl-io/eksctl/releases/latest/download/eksctl_windows_armv7.zip) - [ARM64](https://github.com/eksctl-io/eksctl/releases/latest/download/eksctl_windows_arm64.zip)
-
-Make sure to unzip the archive to a folder in the `PATH` variable.
-
-Optionally, verify the checksum:
-
-1. Download the checksum file: [latest](https://github.com/eksctl-io/eksctl/releases/latest/download/eksctl_checksums.txt)
-2. Use Command Prompt to manually compare `CertUtil`'s output to the checksum file downloaded.
-
-  ```cmd
-  REM Replace amd64 with armv6, armv7 or arm64
-  CertUtil -hashfile eksctl_Windows_amd64.zip SHA256
-  ```
-
-3. Using PowerShell to automate the verification using the `-eq` operator to get a `True` or `False` result:
-
-```pwsh
-# Replace amd64 with armv6, armv7 or arm64
- (Get-FileHash -Algorithm SHA256 .\eksctl_Windows_amd64.zip).Hash -eq ((Get-Content .\eksctl_checksums.txt) -match 'eksctl_Windows_amd64.zip' -split ' ')[0]
- ```
-
-#### Using Git Bash
-
-```sh
-# for ARM systems, set ARCH to: `arm64`, `armv6` or `armv7`
-ARCH=amd64
-PLATFORM=windows_$ARCH
-
-curl -sLO "https://github.com/eksctl-io/eksctl/releases/latest/download/eksctl_$PLATFORM.zip"
-
-# (Optional) Verify checksum
-curl -sL "https://github.com/eksctl-io/eksctl/releases/latest/download/eksctl_checksums.txt" | grep $PLATFORM | sha256sum --check
-
-unzip eksctl_$PLATFORM.zip -d $HOME/bin
-
-rm eksctl_$PLATFORM.zip
-```
-
-The `eksctl` executable is placed in `$HOME/bin`, which is in `$PATH` from Git Bash.
-
-### Docker
-
-For every release and RC a container image is pushed to ECR repository `public.ecr.aws/eksctl/eksctl`. Learn more about the usage on [ECR Public Gallery - eksctl](https://gallery.ecr.aws/eksctl/eksctl). For example,
-
-```bash
-docker run --rm -it public.ecr.aws/eksctl/eksctl version
-```
-
-### Third-Party Installers (Not Recommended)
-
-#### For MacOS
-
-[Homebrew](https://brew.sh)
-
-```bash
-brew tap weaveworks/tap
-brew install weaveworks/tap/eksctl
-```
-
-[MacPorts](https://www.macports.org)
-
-```bash
-port install eksctl
-```
-
-#### For Windows
-
-[chocolatey](https://chocolatey.org)
-
-```bash
-choco install eksctl
-```
-
-[scoop](https://scoop.sh)
-
-```bash
-scoop install eksctl
-```
-
 ## Basic usage
 
 To create a basic cluster, run:
